extends Scene

func _on_room_looked() -> void:
	pass

func _on_kq4_053_seven_dwarfs_bedroom_interacted() -> void:
	var target_scene = load("res://scenes/kq4_053_seven_dwarfs_bedroom/kq4_053_seven_dwarfs_bedroom.tscn")
	if target_scene:
		get_tree().change_scene_to_packed(target_scene)

func _on_kq4_022_gnomes_cottage_interacted() -> void:
	var target_scene = load("res://scenes/kq4_022_gnomes_cottage/kq4_022_gnomes_cottage.tscn")
	if target_scene:
		get_tree().change_scene_to_packed(target_scene)
